#include "input.h"

#define PADDING  '='

int
readb(FILE *fp, unsigned char *s, int slen)
{
    unsigned char *send;
    unsigned char *sbeg;
    unsigned char *l, *r;
    
    sbeg = s;
    send = s + fread(s, sizeof(*s), slen, fp);
    for (l = r = sbeg; r < send; ++r)
        if (*r != '\n')
            *l++ = *r;
    if (l > sbeg) {
        for (--l; *l == PADDING; --l)
            ;
        ++l;
    }

    return l-sbeg;
}
